# CORE Tutorials

These tutorials will cover various use cases within CORE. These
tutorials will provide example python, gRPC, XML, and related files, as well
as an explanation for their usage and purpose.

## Checklist

These are the items you should become familiar with for running all the tutorials below.

* [Install CORE](../install.md)
* [Tutorial Setup](setup.md)

## Tutorials

* [Tutorial 1 - Wired Network](tutorial1.md)
    * Covers interactions when using a simple 2 node wired network
* [Tutorial 2 - Wireless Network](tutorial2.md)
    * Covers interactions when using a simple 3 node wireless network
* [Tutorial 3 - Basic Mobility](tutorial3.md)
    * Covers mobility interactions when using a simple 3 node wireless network
* [Tutorial 4 - Tests](tutorial4.md)
    * Covers automating scenarios as tests to validate software
* [Tutorial 5 - RJ45 Node](tutorial5.md)
    * Covers using the RJ45 node to connect a Windows OS
* [Tutorial 6 - Improve Visuals](tutorial6.md)
    * Covers changing the look of a scenario within the CORE GUI
* [Tutorial 7 - EMANE](tutorial7.md)
    * Covers using EMANE within CORE for higher fidelity RF networks
